# SqlDatabase

Provides support for QtSQL Databases.

## Methods

- isWidgetType(...)
- parent(...)
- signals(...)
- slots(...)
- disconnect(...)
- getAttribute(...)
- transaction(...)
- child(...)
- children(...)
- superClassName(...)
- properties(...)
- deleteLater(...)
- className(...)
- addDatabase2(...)
- open(...)
- isOpenError(...)
- rollback(...)
- close(...)
- isOpen(...)
- setAttribute(...)
- drivers(...)
- tables(...)
- connect(...)
- hasAttribute(...)
- childCount(...)
- getElementById(...)
- exec(...)
- addDatabase(...)
- getParentNode(...)
- open2(...)
- commit(...)

## Properties

None

## Qt Properties

- QCString name unnamed
- QString databaseName
- QString userName
- QString password
- QString hostName
- int port 0
- QString driverName
- QString lastError No Database Driver Loaded

## Qt Signals

- destroyed()
- destroyed(QObject*)

## Qt Slots

- void deleteLater()
- void cleanupEventFilter(QObject*)
- bool addDatabase(const QString&)
- bool addDatabase(const QString&,const QString&)
- QVariant drivers()
- bool open()
- bool open(const QString&,const QString&)
- void close()
- bool isOpen()
- bool isOpenError()
- QVariant tables()
- SqlQuery exec(const QString&)
- QString lastError()
- bool transaction()
- bool commit()
- bool rollback()